Bug 97 - check_postgres_sequence errors with "cannot access temporary tables of other sessions"
: check_postgres_sequence errors with "cannot access temporary tables of other ...
Status: RESOLVED FIXED
Product: check_postgres
General
: unspecified
: All All
: Normal normal
Assigned To: Greg Sabino Mullane
:
:
:
  Show dependency treegraph
 
Reported: 2012-01-06 15:59 EST by Ryan Kelly
Modified: 2013-06-24 08:51 EDT (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Ryan Kelly 2012-01-06 15:59:57 EST
check_postgres --command=sequence errors with:

ERROR: ERROR:  cannot access temporary tables of other sessions

This is when run as the 'postgres' user.

uname -a
Linux prodsql 2.6.38-11-virtual #50-Ubuntu SMP Mon Sep 12 21:51:23 UTC 2011
x86_64 x86_64 x86_64 GNU/Linux

psql -c 'select version();'
PostgreSQL 9.0.5 on x86_64-pc-linux-gnu, compiled by GCC gcc-4.5.real
(Ubuntu/Linaro 4.5.2-8ubuntu4) 4.5.2, 64-bit

check_postgres --version
check_postgres version 2.18.0
Comment 1 Ryan Kelly 2012-01-06 16:17:48 EST
See the pull request at: https://github.com/bucardo/check_postgres/pull/11
Comment 2 Greg Sabino Mullane 2012-01-17 17:49:31 EST
Please verify that this is fixed in version 2.19.0
Comment 3 Ryan Kelly 2012-01-17 18:03:07 EST
(In reply to comment #2)
> Please verify that this is fixed in version 2.19.0

It is not fixed. I still receive the same message.
Comment 4 Phin Jensen 2013-06-24 08:51:54 EDT
This ticket moved to Github:
https://github.com/bucardo/check_postgres/issues/37